/* gospels */

.gospels {
  display: flex;
  background-color: var(--bg-event);
  transition: height var(--transition-long);
  padding-bottom: var(--vertical-spacing);
}

.gospels {
  text-align: justify;
  line-height: 1.6;
}

.event.opening .gospels,
.event.opened .gospels {
  padding-top: 1rem;
  padding-bottom: var(--vertical-spacing);
}

.event:last-of-type .gospels {
  border-radius: 0 0 var(--border-radius) var(--border-radius);
}

/* gospel */

.gospel {
  flex: 1;
  display: flex;
  flex-direction: column;
  padding: 0 7px;
  transition: order var(--transition-long) height var(--transition-long);
}

.gospel:not(.first) {
  border-left: 1px solid var(--border-color);
}

.gospel.hidden {
  display: none;
}

/* verses */

.verses {
  text-align: justify;
  line-height: 1.6;
  height: 0;
  overflow: hidden;
  transition: height var(--transition-long);
}

.verses.opening,
.verses.opened {
  padding-top: 1rem;
  padding-bottom: var(--vertical-spacing);
  height: calc-size(auto, size);
}

.verse {
  white-space: pre-wrap;
}

.ref {
  display: inline-flex;
  vertical-align: bottom;
  text-align: center;
  line-height: 1.2;
  font-size: 0.6rem;
  font-weight: bold;
  text-transform: capitalize;
  color: dimgray;
  /* positions auto-scroll-to-top when jump link anchor tag <a> is clicked */
  /* do not use this: scroll-snap-align: start; */
  scroll-margin-top: 6.7rem;
}

.ref br {
  user-select: none;
}
